\documentclass{article}
% \usepackage[english,greek]{babel}
% \usepackage[utf8]{inputenc}
% \usepackage[T1]{fontenc}
\usepackage{fontspec}
\setmainfont{CMU Serif}

\usepackage{makecell}
\usepackage[yyyymmdd]{datetime}
\usepackage{fancyhdr}
\usepackage{lastpage}
\usepackage{graphicx}
\usepackage{xcolor}
% \usepackage{transparent}
\usepackage{geometry}
\usepackage{lipsum}
\usepackage{mathbbol}
\usepackage{float}
\usepackage{caption}
\usepackage{subcaption}
% \usepackage{amsmath}
\usepackage{amssymb}
\usepackage{gensymb}
\usepackage{mathtools}
\usepackage{hyperref}
\usepackage{tablefootnote}
\usepackage{threeparttable}
\usepackage{multirow}
\usepackage{appendix}
\usepackage{longtable}
\usepackage{pifont}
\usepackage{titlesec}
\usepackage{booktabs}
\usepackage{scrextend}
\usepackage{listings}
\usepackage{tabu}
\usepackage{graphics}
\usepackage{adjustbox}

\hypersetup
{
  colorlinks=true,
  linkcolor=blue,
  filecolor=magenta,      
  urlcolor=cyan,
}

\graphicspath{ {images/} }

\setcounter{tocdepth}{5}
\setcounter{secnumdepth}{5}

\renewcommand{\figurename}{Εικόνα}
\renewcommand{\tablename}{Πίνακας}
\renewcommand{\lstlistingname}{Κώδικας}
\renewcommand*\contentsname{Περιεχόμενα}

\titleformat{\paragraph}
{\normalfont\normalsize\bfseries}{\theparagraph}{1em}{}
\titlespacing*{\paragraph}
{0pt}{3.25ex plus 1ex minus .2ex}{1.5ex plus .2ex}

% \setcounter{secnumdepth}{5}
\titleformat{\subparagraph}
{\normalfont\normalsize\bfseries}{\thesubparagraph}{1em}{}
\titlespacing*{\subparagraph}
{0pt}{3.25ex plus 1ex minus .2ex}{1.5ex plus .2ex}
\definecolor{codegreen}{rgb}{0,0.6,0}
\definecolor{codegray}{rgb}{0.5,0.5,0.5}
\definecolor{codepurple}{rgb}{0.58,0,0.82}
\definecolor{backcolour}{rgb}{0.95,0.95,0.92}

\lstdefinestyle{mystyle}{
    backgroundcolor=\color{backcolour},   
    commentstyle=\color{codegreen},
    keywordstyle=\color{magenta},
    numberstyle=\tiny\color{codegray},
    stringstyle=\color{codepurple},
    basicstyle=\ttfamily\footnotesize,
    breakatwhitespace=false,         
    breaklines=true,                 
    captionpos=b,                    
    keepspaces=true,                 
    numbers=left,                    
    numbersep=5pt,                  
    showspaces=false,                
    showstringspaces=false,
    showtabs=false,                  
    tabsize=2
}

\lstset{style=mystyle}
\lstdefinelanguage[arm]{Assembler}
   [x86masm]{Assembler}{
   keywordstyle=[2]{\color{codepurple}},
  morekeywords={MVN,EOREQ,EORSAL,ORRMI,ORR,ORRPL,LSR,ASR,LDR,ADDS,ADDEQ,B,BL},
   morekeywords=[2]{R0,R1,R2,R3,R4,R5,R6,R7,R8,R9,R10,R11,R12,R13,R14,R15,PC,LR}}





% \floatstyle{boxed}
\restylefloat{figure}
\setlength{\headsep}{1.5cm}
% margins setup
\addtolength{\oddsidemargin}{1cm}
\addtolength{\evensidemargin}{1cm}
\addtolength{\textwidth}{-2cm}
% \addtolength{\topmargin}{-1.5cm}
\addtolength{\textheight}{1cm}

\title{\documentTitle}
%% \newcommand{\mydate}{\formatdate{20}{1}{2018}}
\pagestyle{fancy}
\floatstyle{plain}
% headers and footers
\fancyhf{}
\lhead
{
  {
    % \transparent{0.4}
    \includegraphics[height=25pt]{LOGO_UOA_bw_en_header_no_text.eps}
  }
}
\rhead
{
  \emph{\documentTitle}
}

\lfoot
{
  \parbox[b]{2cm}
  {
    % \transparent{0.4}
    % \includegraphics[width=140pt]{LOGO_UOA_bw_en_header}
  }
}
\rfoot
{
  \parbox[b]{\dimexpr\linewidth-0.5cm\relax}
  {
    \hfill\thepage/{\hypersetup{linkcolor=black}\pageref{LastPage}}\\{\color{black}\rule{\dimexpr\linewidth\relax}{0.4pt}}
  }
}

\fancypagestyle{firststyle}
{
  \fancyhf{}
  \lhead
  {
    % \transparent{0.4}
    \includegraphics[height=50pt]{LOGO_UOA_bw_en_header.eps}
  }
  \rhead
  {
    \emph{\documentTitle}
  } 
  \rfoot
  {
    \parbox[b]{\dimexpr\linewidth-0.5cm\relax}
    {
      \hfill\thepage/{\hypersetup{linkcolor=black}\pageref{LastPage}}\\{\color{black}\rule{\dimexpr\linewidth\relax}{0.4pt}}
    }
  }
  
}
\usepackage{booktabs}
\usepackage{soul}
\renewcommand{\lstlistingname}{Κώδικας}
\usepackage{xcolor}
\usepackage{tikz}
\usetikzlibrary{shapes.geometric, arrows, automata, fit, positioning}
\lstdefinestyle{mystyle}{
  backgroundcolor=\color{backcolour},
  commentstyle=\color{codegreen},
  keywordstyle=\color{magenta},
  numberstyle=\tiny\color{codegray},
  stringstyle=\color{codepurple},
  basicstyle=\ttfamily\footnotesize,
  breakatwhitespace=false,
  breaklines=true,
  captionpos=b,
  keepspaces=true,
  numbers=left,
  numbersep=5pt,
  showspaces=false,
  showstringspaces=false,
  showtabs=false,
  tabsize=2
}%

\lstset{style=mystyle}

\tikzstyle{startstop} = [rectangle, rounded corners, minimum %
width=3cm, minimum height=1cm,text centered, draw=black, fill=red!30]
\tikzstyle{io} = [trapezium, trapezium left angle=70, trapezium right %
angle=110, minimum width=3cm, minimum height=1cm, text centered,%
draw=black, fill=blue!30, text width=4cm]
\tikzstyle{process} = [rectangle, minimum width=3cm, minimum %
height=1cm, text centered, draw=black, fill=orange!30, text width=4cm]
\tikzstyle{decision} = [diamond, minimum width=3cm, minimum %
height=1cm, text centered, draw=black, fill=green!30, text width=4cm]
\tikzstyle{arrow} = [thick,->,>=stealth]
\usepackage{tabu}